import React from 'react';
export interface IDialogProps {
    /**
     * Defines content of the Dialog.
     */
    children: React.ReactNode;
    /**
     * Defines class of the Dialog element.
     */
    className?: string;
    /**
     * Defines class of Dialog main container element.
     */
    containerClassName?: string;
    /**
     * Disables click on overlay and press ESC key to close dialog.
     */
    disableOverlayClose?: boolean;
    /**
     * Defines whether to hide close icon button.
     */
    hideCloseBtn?: boolean;
    /**
     * Defines on-dialog-close event.
     */
    onClose(): void;
    /**
     * Defines dialog open state.
     */
    open: boolean;
}
declare const Dialog: {
    ({ children, className, containerClassName, onClose, disableOverlayClose, open, hideCloseBtn, }: IDialogProps): React.JSX.Element;
    Overlay: () => React.JSX.Element;
    CloseButton: ({ className, onClose }: import("./DialogClose").IDialogCloseProps) => React.JSX.Element;
    Title: ({ children, className, onClose, showCloseButton }: import("./DialogTitle").IDialogTitleProps) => React.JSX.Element;
    Description: ({ children, className, ...other }: import("./DialogDescription").IDialogDescriptionProps) => React.JSX.Element;
    Footer: ({ children, className }: import("./DialogFooter").IDialogFooterProps) => React.JSX.Element;
};
export default Dialog;
//# sourceMappingURL=Dialog.d.ts.map